"use strict";

var async  = require('async'),
    assert = require('assert'),
    tingo  = require('tingodb')({memStore: true, nativeObjectID: true})

describe('mymod', function() {
    var db

    before(function (done) {
        console.log('before')

        db = new tingo.Db('tingodb', {})

        done()
    })

    after(function (done) {
        console.log('after')

        done()
    })

    beforeEach(function (done) {
        console.log('before each')

        var dummyData = [{
            _id: 1,
            name: '1'
        },

        {
            _id: 2,
            name: '2'
        }]

        // Modified

        //var myDone = function(done) {
        //    return function(done) {
        //        db.collection('myCol').count(function(err, count) {
        //            if (err) done(err)
        //
        //            console.log('done')
        //            count.should.above(0)
        //            done()
        //        })
        //    }
        //}


        async.each(dummyData, function (item, cb) {
            db.collection('myCol').insert(item, cb)
            console.log(item)
        }, done)
    })

    it('mock in-memory database should be filled with test data', function (done) {
        db.collection('myCol').count(function(err, count) {
            if (err) done(err)

            console.log('done')

            console.log('count: ' + count)

            assert(count > 0, 'database is empty')

            done()
        })
    })

    afterEach(function (done) {
        console.log('after each')
        done()
    })
})